# H.-B. Woyand -  Python fuer Ingenieure
# und Naturwissenschaftler - Kapitel 10
# Beispiel 3 fuer Python 2.

from scipy.interpolate import interp1d          #1
import numpy as np                                           #2
import matplotlib.pyplot as plt                         #3

x = np.linspace(1, 6, 6)                                       #4
y = np.array([1, 3,  1, 5, 4, 4])                              #5
xn = np.linspace(1,6,60)                                    #6
f = interp1d(x, y,kind='linear')                           #7
g = interp1d(x,y,kind='cubic')                           #8
h = interp1d(x,y,kind=5)                                     #9
plt.plot(x,y,'ro',linewidth=3.0)                           #10
plt.plot(xn,f(xn),'b-',linewidth=3.0)                  #11
plt.plot(xn,g(xn),'g--',linewidth=3.0)               #12
plt.plot(xn,h(xn),'co-',linewidth=3.0)               #13
plt.xlabel("x-Werte")                                           #14
plt.ylabel("y-Werte")                                           #15
plt.title("Interpolation")                                     #16
plt.legend(["Vorgabe","Linear",
           "Kubisch","Polynom Grad 5"],
            loc="best")                                              #17
plt.show()                                                             #18
