# H.-B. Woyand -  Python fuer Ingenieure
# und Naturwissenschaftler - Kapitel 10
# Beispiel 4 fuer Python 2.

from scipy.optimize import newton                       #1
import numpy as np                                                  #2
import matplotlib.pyplot as plt                                #3

def f(x):                                                                         #4
    return (x+1)*(x-3)*(x-5)

x = np.linspace(-2,6,80)                                            #5
y = f(x)                                                                          #6



x1 = newton(f,-2)                                                       #7
x2 = newton(f,2)                                                        #8
x3 = newton(f,6)                                                        #9
print "Die Nullstellen sind: ",x1,x2,x3                 #10
nullstellen = np.array([x1,x2,x3])                          #11
plt.scatter(nullstellen,[0,0,0],s=100)                    #12
plt.plot(x,y,'r-',linewidth=2)                                    #13
plt.xlabel("x-Werte")                                               #14
plt.ylabel("y-Werte")                                               #15
plt.title("Nullstellen")                                            #16
plt.grid(True)                                                           #17
plt.show()                                                                 #18
